package com.ruoyi.export.service;

import com.ruoyi.export.domain.ExportLanguage;
import com.ruoyi.export.domain.vo.ExportLanguageVo;
import com.ruoyi.export.domain.bo.ExportLanguageBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 语言管理Service接口
 *
 * @author ruoyi
 * @date 2025-07-17
 */
public interface IExportLanguageService {

    /**
     * 查询语言管理
     */
    ExportLanguageVo queryById(Long languageId);

    /**
     * 查询语言管理列表
     */
    TableDataInfo<ExportLanguageVo> queryPageList(ExportLanguageBo bo, PageQuery pageQuery);

    /**
     * 查询语言管理列表
     */
    List<ExportLanguageVo> queryList(ExportLanguageBo bo);

    /**
     * 新增语言管理
     */
    Boolean insertByBo(ExportLanguageBo bo);

    /**
     * 修改语言管理
     */
    Boolean updateByBo(ExportLanguageBo bo);

    /**
     * 校验并批量删除语言管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
